package com.ruoyi.os.mapper;

import com.ruoyi.os.domain.DrugArchive;
import java.util.List;
/**
 *
 *  @author 何顺
 *  @date 2024-09-17
 */
public interface DrugArchiveMapper {
    List<DrugArchive> selectDrugArchiveList(DrugArchive drugArchive);
    DrugArchive selectDrugArchiveById(Long id);
    int insertDrugArchive(DrugArchive drugArchive);
    int updateDrugArchive(DrugArchive drugArchive);
    int deleteDrugArchiveById(Long id);
    int deleteDrugArchiveByIds(Long[] ids);
}